! Include file that defines equates for user-defined SocketWrench events

EVENT:SwAccept      EQUATE (901H)
EVENT:SWBlocking    EQUATE (902H)
EVENT:SWCancel      EQUATE (903H)
EVENT:SWConnect     EQUATE (904H)
EVENT:SWLastError   EQUATE (905H)
EVENT:SWRead        EQUATE (906H)
EVENT:SWTimeout     EQUATE (907H)
EVENT:SWTimer       EQUATE (908H)
EVENT:SWWrite       EQUATE (909H)
EVENT:SWDisconnect  EQUATE (90AH)
EVENT:SWUnknown     EQUATE (90BH)


!
! General constants used with most of the controls
!
INVALID_HANDLE      EQUATE (-1)
CONTROL_ERRIGNORE   EQUATE (0)
CONTROL_ERRDISPLAY  EQUATE (1)

!
! SocketWrench Control Actions
!
SOCKET_OPEN         EQUATE (1)
SOCKET_CONNECT      EQUATE (2)
SOCKET_LISTEN       EQUATE (3)
SOCKET_ACCEPT       EQUATE (4)
SOCKET_CANCEL       EQUATE (5)
SOCKET_FLUSH        EQUATE (6)
SOCKET_CLOSE        EQUATE (7)
SOCKET_DISCONNECT   EQUATE (7)
SOCKET_ABORT        EQUATE (8)
!
! SocketWrench Control States
!
SOCKET_NONE         EQUATE (0)
SOCKET_IDLE         EQUATE (1)
SOCKET_LISTENING    EQUATE (2)
SOCKET_CONNECTING   EQUATE (3)
SOCKET_ACCEPTING    EQUATE (4)
SOCKET_RECEIVING    EQUATE (5)
SOCKET_SENDING      EQUATE (6)
SOCKET_CLOSING      EQUATE (7)
!
! Socket Address Families
!
AF_UNSPEC           EQUATE (0)
AF_UNIX             EQUATE (1)
AF_INET             EQUATE (2)
!
! Socket Types
!
SOCK_STREAM         EQUATE (1)
SOCK_DGRAM          EQUATE (2)
SOCK_RAW            EQUATE (3)
SOCK_RDM            EQUATE (4)
SOCK_SEQPACKET      EQUATE (5)
!
! Protocol Types
!
IPPROTO_IP          EQUATE (0)
IPPROTO_ICMP        EQUATE (1)
IPPROTO_GGP         EQUATE (2)
IPPROTO_TCP         EQUATE (6)
IPPROTO_PUP         EQUATE (12)
IPPROTO_UDP         EQUATE (17)
IPPROTO_IDP         EQUATE (22)
IPPROTO_ND          EQUATE (77)
IPPROTO_RAW         EQUATE (255)
IPPROTO_MAX         EQUATE (256)
!
! Well-Known Port Numbers
!
IPPORT_ANY          EQUATE (0)
IPPORT_ECHO         EQUATE (7)
IPPORT_DISCARD      EQUATE (9)
IPPORT_SYSTAT       EQUATE (11)
IPPORT_DAYTIME      EQUATE (13)
IPPORT_NETSTAT      EQUATE (15)
IPPORT_FTP          EQUATE (21)
IPPORT_TELNET       EQUATE (23)
IPPORT_SMTP         EQUATE (25)
IPPORT_TIMESERVER   EQUATE (37)
IPPORT_NAMESERVER   EQUATE (42)
IPPORT_WHOIS        EQUATE (43)
IPPORT_MTP          EQUATE (57)
IPPORT_FINGER       EQUATE (79)
IPPORT_HTTP         EQUATE (80)
IPPORT_TFTP         EQUATE (69)
IPPORT_RESERVED     EQUATE (1024)
IPPORT_USERRESERVED EQUATE (5000)
!
! Network Addresses
!
INADDR_ANY          EQUATE ('0.0.0.0')
INADDR_LOOPBACK     EQUATE ('127.0.0.1')
INADDR_NONE         EQUATE ('255.255.255.255')
!
! Shutdown Values
!
SOCKET_READ         EQUATE (0)
SOCKET_WRITE        EQUATE (1)
SOCKET_READWRITE    EQUATE (2)
!
! SocketWrench Error Response
!
SOCKET_ERRIGNORE    EQUATE (0)
SOCKET_ERRDISPLAY   EQUATE (1)
!
! SocketWrench Error Codes
!
WSABASEERR          EQUATE (24000)
WSAEINTR            EQUATE (24004)
WSAEBADF            EQUATE (24009)
WSAEACCES           EQUATE (24013)
WSAEFAULT           EQUATE (24014)
WSAEINVAL           EQUATE (24022)
WSAEMFILE           EQUATE (24024)
WSAEWOULDBLOCK      EQUATE (24035)
WSAEINPROGRESS      EQUATE (24036)
WSAEALREADY         EQUATE (24037)
WSAENOTSOCK         EQUATE (24038)
WSAEDESTADDRREQ     EQUATE (24039)
WSAEMSGSIZE         EQUATE (24040)
WSAEPROTOTYPE       EQUATE (24041)
WSAENOPROTOOPT      EQUATE (24042)
WSAEPROTONOSUPPORT  EQUATE (24043)
WSAESOCKTNOSUPPORT  EQUATE (24044)
WSAEOPNOTSUPP       EQUATE (24045)
WSAEPFNOSUPPORT     EQUATE (24046)
WSAEAFNOSUPPORT     EQUATE (24047)
WSAEADDRINUSE       EQUATE (24048)
WSAEADDRNOTAVAIL    EQUATE (24049)
WSAENETDOWN         EQUATE (24050)
WSAENETUNREACH      EQUATE (24051)
WSAENETRESET        EQUATE (24052)
WSAECONNABORTED     EQUATE (24053)
WSAECONNRESET       EQUATE (24054)
WSAENOBUFS          EQUATE (24055)
WSAEISCONN          EQUATE (24056)
WSAENOTCONN         EQUATE (24057)
WSAESHUTDOWN        EQUATE (24058)
WSAETOOMANYREFS     EQUATE (24059)
WSAETIMEDOUT        EQUATE (24060)
WSAECONNREFUSED     EQUATE (24061)
WSAELOOP            EQUATE (24062)
WSAENAMETOOLONG     EQUATE (24063)
WSAEHOSTDOWN        EQUATE (24064)
WSAEHOSTUNREACH     EQUATE (24065)
WSAENOTEMPTY        EQUATE (24066)
WSAEPROCLIM         EQUATE (24067)
WSAEUSERS           EQUATE (24068)
WSAEDQUOT           EQUATE (24069)
WSAESTALE           EQUATE (24070)
WSAEREMOTE          EQUATE (24071)
WSASYSNOTREADY      EQUATE (24091)
WSAVERNOTSUPPORTED  EQUATE (24092)
WSANOTINITIALISED   EQUATE (24093)
WSAHOST_NOT_FOUND   EQUATE (25001)
WSATRY_AGAIN        EQUATE (25002)
WSANO_RECOVERY      EQUATE (25003)
WSANO_DATA          EQUATE (25004)
WSANO_ADDRESS       EQUATE (25004)
